Bug 1141530 - [abrt] rabbitvcs-core: log.py:1598:log_factory:KeyError: 'unknown' [NEEDINFO]
Summary: [abrt] rabbitvcs-core: log.py:1598:log_factory:KeyError: 'unknown'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6b57380a3b1f0d7cad869a0f26b...
: 971585 1112264 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-14 13:02 UTC by Raphael Groner
Modified: 2016-02-28 12:23 UTC (History)
3 users (show)

Fixed In Version: rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22 rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-28 08:23:39 UTC
projects.rg: needinfo? (nushio)
projects.rg: needinfo? (nushio)
projects.rg: needinfo? (i)
jkurik: needinfo? (nushio)


Attachments (Terms of Use)
File: backtrace (549 bytes, text/plain)
2014-09-14 13:02 UTC, Raphael Groner
no flags Details
File: environ (4.07 KB, text/plain)
2014-09-14 13:02 UTC, Raphael Groner
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 944053 None None None Never

Description Raphael Groner 2014-09-14 13:02:14 UTC
Description of problem:
$ rabbitvcs log http://rabbitvcs.googlecode.com/svn/trunk/

$ rabbitvcs log crash-me

Version-Release number of selected component:
rabbitvcs-core-0.16-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py http://rabbitvcs.googlecode.com/svn/trunk/
executable:     /usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py
kernel:         3.16.2-200.fc20.x86_64
runlevel:       N 5
type:           Python

Truncated backtrace:
log.py:1598:log_factory:KeyError: 'unknown'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py", line 1614, in <module>
    window = log_factory(paths[0], vcs=options.vcs)
  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py", line 1598, in log_factory
    return classes_map[vcs](path)
KeyError: 'unknown'

Local variables in innermost frame:
path: 'http://rabbitvcs.googlecode.com/svn/trunk/'
guess: {'vcs': 'unknown', 'repo_path': 'http://rabbitvcs.googlecode.com/svn/trunk/'}
vcs: 'unknown'

Comment 1 Raphael Groner 2014-09-14 13:02:17 UTC
Created attachment 937321 [details]
File: backtrace

Comment 2 Raphael Groner 2014-09-14 13:02:18 UTC
Created attachment 937322 [details]
File: environ

Comment 3 Raphael Groner 2014-09-14 13:06:25 UTC
*** Bug 1112264 has been marked as a duplicate of this bug. ***

Comment 4 Raphael Groner 2014-09-14 13:09:57 UTC
*** Bug 971585 has been marked as a duplicate of this bug. ***

Comment 5 Raphael Groner 2014-09-14 13:14:50 UTC
This bug seems to exist since at least F18 (see bug #971585 that reached EOL). What's the state here?

Possible upstream bug tracker:
https://code.google.com/p/rabbitvcs/issues/detail?id=637

Comment 6 Raphael Groner 2014-09-14 13:33:58 UTC
Maybe you could provide a scratch build to see if the bug is gone with latest git sources?

Comment 7 Raphael Groner 2015-02-28 16:17:51 UTC
(In reply to Raphael Groner from comment #6)
> Maybe you could provide a scratch build to see if the bug is gone with
> latest git sources?

Ping?

Note that the project moved officially to github.
https://github.com/rabbitvcs/rabbitvcs

Comment 8 Fedora End Of Life 2015-05-29 12:52:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-30 01:09:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Raphael Groner 2015-06-30 14:25:18 UTC
Still no response from the maintainer though needinfo was requested twice.

I want to keep this bug to see if this package is unmaintained. Currently, three other bugs are assigned, six other bugs are critical (flagged as crash or unusable) but have an unassigned status.

Comment 11 Jan Kurik 2015-12-22 11:35:27 UTC
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Comment 12 Raphael Groner 2015-12-22 11:53:01 UTC
Upstream has a fix, please patch the package!

Comment 13 Raphael Groner 2016-01-12 15:33:18 UTC
Nonresponsive maintainer process started.
https://fedorahosted.org/fesco/ticket/1527

Comment 14 Fedora Admin XMLRPC Client 2016-01-27 22:46:10 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Raphael Groner 2016-02-02 18:46:31 UTC
Reported with a patch to upstream.
https://github.com/rabbitvcs/rabbitvcs/pull/133

Comment 16 Fedora Update System 2016-02-02 19:17:13 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4882588005

Comment 17 Fedora Update System 2016-02-02 19:17:14 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f817392d97

Comment 18 Fedora Update System 2016-02-03 16:24:55 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 19 Fedora Update System 2016-02-03 16:24:56 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 20 Fedora Update System 2016-02-03 17:21:00 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cb4088263

Comment 21 Fedora Update System 2016-02-03 22:59:00 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 22 Fedora Update System 2016-02-03 23:24:52 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 23 Fedora Update System 2016-02-04 09:22:24 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 24 Fedora Update System 2016-02-04 09:24:30 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 thunarx-python-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 25 Fedora Update System 2016-02-05 01:23:22 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 26 Fedora Update System 2016-02-05 01:24:39 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 27 Fedora Update System 2016-02-05 02:19:14 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cb4088263

Comment 28 Fedora Update System 2016-02-15 20:47:04 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 29 Fedora Update System 2016-02-15 20:49:13 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 30 Fedora Update System 2016-02-15 20:52:41 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 31 Fedora Update System 2016-02-17 06:25:05 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d22c19817e

Comment 32 Fedora Update System 2016-02-17 06:28:27 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 33 Jan Kurik 2016-02-24 13:16:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 34 Fedora Admin XMLRPC Client 2016-02-27 18:59:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 35 Fedora Update System 2016-02-28 08:23:19 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2016-02-28 12:23:19 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.